import { GroupMembers } from "@newSdk/model/GroupMembers";
export declare enum SessionTab {
    Home = 0,
    AllMember = 1,
    Manage = 2,
    Edit = 3
}
declare class SessionBoardStore {
    groupMemberMap: {
        [uid: string]: GroupMembers;
    };
    visible: boolean;
    viewSubList: number;
    viewAtList: boolean;
    constructor();
    get ownerInfo(): {};
    get adminsInfo(): GroupMembers[];
    get sortManageList(): string[];
    get sortedList(): string[];
    open(): Promise<void>;
    openAt(): Promise<void>;
    viewAllMembers(tab: number): void;
    closeAllMembers(): void;
    close(): void;
    closeAt(): void;
    proxyInfo(uids: string[], gid: string): Promise<void>;
}
declare const self: SessionBoardStore;
export declare const sessionBoardStore: SessionBoardStore;
export default self;
